clang-tools 10.0.0

Static Public Member Functions | List of all members
llvm::yaml::ScalarTraits< std::array< unsigned char, 20 > > Struct Template Reference

## Static Public Member Functions
static void | output (const std::array< unsigned char, 20 > &S, void *, llvm::raw_ostream &OS)
static StringRef | input (StringRef Scalar, void *, std::array< unsigned char, 20 > &Value)
static SymbolID | StringToSymbol (llvm::StringRef Value)
static QuotingType | mustQuote (StringRef)

## Detailed Description

### template<>
struct llvm::yaml::ScalarTraits< std::array< unsigned char, 20 > >

Definition at line 78 of file YAMLGenerator.cpp.

## Member Function Documentation

## ◆ input()

static StringRef llvm::yaml::ScalarTraits< std::array< unsigned char, 20 > >::input | ( | StringRef | Scalar,
|  | void * | ,
|  | std::array< unsigned char, 20 > & | Value
| ) |  |
| inline static

Definition at line 85 of file YAMLGenerator.cpp.

## ◆ mustQuote()

static QuotingType llvm::yaml::ScalarTraits< std::array< unsigned char, 20 > >::mustQuote | ( | StringRef |  | ) |
| inline static

Definition at line 100 of file YAMLGenerator.cpp.

## ◆ output()

static void llvm::yaml::ScalarTraits< std::array< unsigned char, 20 > >::output | ( | const std::array< unsigned char, 20 > & | S,
|  | void * | ,
|  | llvm::raw_ostream & | OS
| ) |  |
| inline static

Definition at line 80 of file YAMLGenerator.cpp.

## ◆ StringToSymbol()

static SymbolID llvm::yaml::ScalarTraits< std::array< unsigned char, 20 > >::StringToSymbol | ( | llvm::StringRef | Value | ) |
| inline static

Definition at line 93 of file YAMLGenerator.cpp.

The documentation for this struct was generated from the following file:

- YAMLGenerator.cpp